Issue 26928

Summary: User defined rules are not possible for validation. This causes problems with importing .xls files using constraints on a field.
Product: Calc Reporter: dirkvd <dvandeun>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: algroeschel, issues, pet.ebe
Version: OOo 1.1.1RCKeywords: ms_interoperability, rfe_eval_ok
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
the field labelled "rekeninghouder" has silly constraints
none
file
none
file to reproduce interop issue with data validity none

Description dirkvd 2004-03-24 14:09:30 UTC
I have in my possession a .xls file with constraints on a field (i.e.
Data->Validity constraints) that bug. I think it's an importing issue, because
just looking at the constraints and closing with "Ok" makes the bug go away.
Closing with "Cancel" does not.

I see no evident way to add an attachment to this report, and frankly, after all
the hoops I had to jump through to get this far I'm beyond caring.  Want the
file ?  Mail me.  I'll even explain which field to look at. 
dvandeun@wilma.vub.ac.be

Bug confirmed in OO 1.1.1rc3 and Staroffice 7.
Comment 1 dirkvd 2004-03-24 14:11:49 UTC
Created attachment 14046 [details]
the field labelled "rekeninghouder" has silly constraints
Comment 2 frank 2004-03-25 11:47:05 UTC
Hi Niklas,

talked to Daniel and he said user defined Rules are not possible for validation
now. He also mentioned that you possibly have an MS-Interop. PCD for this.

Frank
Comment 3 niklas.nebel 2004-03-29 16:52:08 UTC
No, this is not planned for 2.0. Reassigning to Bettina.
Comment 4 erwin.tenhumberg 2004-11-04 14:45:00 UTC
enhanced summary, set keywords and reassigned issue according to RFE process
Comment 5 frank 2005-08-04 13:33:35 UTC
*** Issue 52483 has been marked as a duplicate of this issue. ***
Comment 6 ace_dent 2008-05-16 00:38:55 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 eberlein 2011-02-11 16:21:33 UTC
.
Comment 8 eberlein 2011-02-14 07:54:49 UTC
One of the reasons, why German Tax Administration (Zoll) prefers Excel and
doesn't like OpenOffice.org:
See attached doc, cell "E-Mail" (F7), data validity.

Please consider Target Milestone (later means never). One for 4.0?
Comment 9 eberlein 2011-02-14 07:56:05 UTC
Created attachment 75832 [details]
file
Comment 10 eberlein 2011-02-14 07:56:53 UTC
Created attachment 75833 [details]
file to reproduce interop issue with data validity
Comment 11 oooforum (fr) 2018-01-05 16:42:45 UTC
*** Issue 127644 has been marked as a duplicate of this issue. ***